SDL_HapticCondition Struct Reference

A structure containing a template for a Condition effect. More...

`#include <SDL_haptic.h>`

Collaboration diagram for SDL_HapticCondition:
[legend]

## Data Fields

Uint16 | type
SDL_HapticDirection | direction
Uint32 | length
Uint16 | delay
Uint16 | button
Uint16 | interval
Uint16 | right_sat [3]
Uint16 | left_sat [3]
Sint16 | right_coeff [3]
Sint16 | left_coeff [3]
Uint16 | deadband [3]
Sint16 | center [3]

## Detailed Description

A structure containing a template for a Condition effect.

The struct handles the following effects:

- SDL_HAPTIC_SPRING: Effect based on axes position.
- SDL_HAPTIC_DAMPER: Effect based on axes velocity.
- SDL_HAPTIC_INERTIA: Effect based on axes acceleration.
- SDL_HAPTIC_FRICTION: Effect based on axes movement.

Direction is handled by condition internals instead of a direction member. The condition effect specific members have three parameters. The first refers to the X axis, the second refers to the Y axis and the third refers to the Z axis. The right terms refer to the positive side of the axis and the left terms refer to the negative side of the axis. Please refer to the SDL_HapticDirection diagram for which side is positive and which is negative.

See also
  SDL_HapticDirection
  SDL_HAPTIC_SPRING
  SDL_HAPTIC_DAMPER
  SDL_HAPTIC_INERTIA
  SDL_HAPTIC_FRICTION
  SDL_HapticEffect

Definition at line 602 of file SDL_haptic.h.

## Field Documentation

## button

Uint16 SDL_HapticCondition::button

Button that triggers the effect.

Definition at line 614 of file SDL_haptic.h.

## center

Sint16 SDL_HapticCondition::center[3]

Position of the dead zone.

Definition at line 623 of file SDL_haptic.h.

Referenced by main().

## deadband

Uint16 SDL_HapticCondition::deadband[3]

Size of the dead zone; max 0xFFFF: whole axis-range when 0-centered.

Definition at line 622 of file SDL_haptic.h.

Referenced by main().

## delay

Uint16 SDL_HapticCondition::delay

Delay before starting the effect.

Definition at line 611 of file SDL_haptic.h.

## direction

SDL_HapticDirection SDL_HapticCondition::direction

Direction of the effect - Not used ATM.

Definition at line 607 of file SDL_haptic.h.

## interval

Uint16 SDL_HapticCondition::interval

How soon it can be triggered again after button.

Definition at line 615 of file SDL_haptic.h.

## left_coeff

Sint16 SDL_HapticCondition::left_coeff[3]

How fast to increase the force towards the negative side.

Definition at line 621 of file SDL_haptic.h.

Referenced by main().

## left_sat

Uint16 SDL_HapticCondition::left_sat[3]

Level when joystick is to the negative side; max 0xFFFF.

Definition at line 619 of file SDL_haptic.h.

Referenced by main().

## length

Uint32 SDL_HapticCondition::length

Duration of the effect.

Definition at line 610 of file SDL_haptic.h.

Referenced by main().

## right_coeff

Sint16 SDL_HapticCondition::right_coeff[3]

How fast to increase the force towards the positive side.

Definition at line 620 of file SDL_haptic.h.

Referenced by main().

## right_sat

Uint16 SDL_HapticCondition::right_sat[3]

Level when joystick is to the positive side; max 0xFFFF.

Definition at line 618 of file SDL_haptic.h.

Referenced by main().

## type

Uint16 SDL_HapticCondition::type

SDL_HAPTIC_SPRING, SDL_HAPTIC_DAMPER, SDL_HAPTIC_INERTIA or SDL_HAPTIC_FRICTION

Definition at line 605 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- include/SDL_haptic.h